io.vertx.rxjava3.ext.web.openapi

## Class Operation

- java.lang.Object
- - io.vertx.rxjava3.ext.web.openapi.Operation

-     public class Operation
      extends Object

  Interface representing an Operation

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<Operation>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operation(Object delegate)`
    `Operation(Operation delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Operation` | `failureHandler(Handler<RoutingContext> handler)` Mount a failure handler for this operation
    `Operation` | `getDelegate()`
    `HttpMethod` | `getHttpMethod()`
    `String` | `getOpenAPIPath()`
    `String` | `getOperationId()`
    `JsonObject` | `getOperationModel()`
    `Operation` | `handler(Handler<RoutingContext> handler)` Mount an handler for this operation
    `int` | `hashCode()`
    `static Operation` | `newInstance(Operation arg)`
    `Operation` | `routeToEventBus(String address)` Route an incoming request to this operation to a Web API Service
    `Operation` | `routeToEventBus(String address, DeliveryOptions options)` Route an incoming request to this operation to a Web API Service
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Operation> __TYPE_ARG

  - ### Constructor Detail

    - #### Operation

          public Operation(Operation delegate)

    - #### Operation

          public Operation(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Operation getDelegate()

    - #### handler

          public Operation handler(Handler<RoutingContext> handler)

      Mount an handler for this operation
      Parameters:
        `handler` -
      Returns:

    - #### failureHandler

          public Operation failureHandler(Handler<RoutingContext> handler)

      Mount a failure handler for this operation
      Parameters:
        `handler` -
      Returns:

    - #### routeToEventBus

          public Operation routeToEventBus(String address)

      Route an incoming request to this operation to a Web API Service
      Parameters:
        `address` -
      Returns:

    - #### routeToEventBus

          public Operation routeToEventBus(String address,
                                           DeliveryOptions options)

      Route an incoming request to this operation to a Web API Service
      Parameters:
        `address` -
        `options` -
      Returns:

    - #### getOperationId

          public String getOperationId()

      Returns:
        operationId of this operation

    - #### getOperationModel

          public JsonObject getOperationModel()

      Returns:
        model of this operation

    - #### getHttpMethod

          public HttpMethod getHttpMethod()

      Returns:
        http method of this operation

    - #### getOpenAPIPath

          public String getOpenAPIPath()

      Returns:
        path in OpenAPI style

    - #### newInstance

          public static Operation newInstance(Operation arg)

Copyright © 2024 Eclipse. All rights reserved.